Retail Express API 2.1

Acquires token

Acquires token

get
https://api.retailexpress.com.au/v2.1/auth/token

Headers

x-api-keystringrequired

Subscription key.

Response

200

Returns authentication result

get/auth/token
 
200

transferitems

Searches Transfer Items by parameters

Searches Transfer Items by parameters

get
https://api.retailexpress.com.au/v2.1/transferitems

Query Parameters

filter_bystring | null

Filter by.

Available field name values: id, transfer_id, product_id, quantity_proposed, quantity_requested, quantity_allocated, quantity_picked, quantity_dispatched, quantity_received, quantity_made_available, buy_price_ex, direct_costs_ex, commited_on, created_on, modified_on

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: id:eq:2, quantity_proposed:gt:1

order_bystring | null

Order by.

Available field name values: id, transfer_id, product_id, quantity_proposed, quantity_requested, quantity_allocated, quantity_picked, quantity_dispatched, quantity_received, quantity_made_available, buy_price_ex, direct_costs_ex, commited_on, created_on, modified_on

Available direction values: asc, desc.

Example: id asc,product_id desc

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Transfers Items data

TransferItem.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Transfer Item model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/transferitems
 
application/json

transfers

Searches Transfers

Searches Transfers

get
https://api.retailexpress.com.au/v2.1/transfers

Query Parameters

filter_bystring | null

Filter by.

Available field name values: id, created_on, modified_on, created_by_id, created_by_first_name, created_by_surname, approved_by_id, approved_by_first_name, approved_by_surname, purchase_order_id, order_id, order_number, outlet_from_id, outlet_to_id, status_id, transfer_type_id

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: id:gte:1,created_on:gte:2021-06-03T05:48:09+10:00,created_by_id:in:2|432

order_bystring | null

Order by.

Available field name values: id, created_on, modified_on, created_by_id, created_by_first_name, created_by_surname, approved_by_id, approved_by_first_name, approved_by_surname, purchase_order_id, order_id, order_number, outlet_from_id, outlet_to_id, status_id, transfer_type_id

Available direction values: asc, desc.

Example: id asc,order_id desc

include_itemsboolean

Include items

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response withTransfers data

Transfer.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Transfer model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/transfers
 
application/json